using SdbS.Model;
using SdbS.View_Manager;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace SdbS.View_Start.Pages
{
    /// <summary>
    /// Логика взаимодействия для Authorization.xaml
    /// </summary>
    /// 

    public static class Login_StorageManager
    {
        public static string login; // глобальная переменная
    }

    public partial class Authorization : Page
    {

        Entities entities = new Entities();

        public Authorization()
        {
            InitializeComponent();
        }

        /* Кнопка авторизации (входа) в аккаунт сотрудника */
        private void buttonLogin_Click(object sender, RoutedEventArgs e)
        {
            // Переменные для MessageBox //
            string aut = "Аутентификация";
            string error_null = "Ошибка! Есть пустые поля.";
            string error_loginPas = "Ошибка! Пароль или логин не верный.";

            // Проверка на существование данных в полях //
            if (textBox_login.Text != null && textBox_login.Text != "" &&
                passwordBox_password.Password != null &&
                passwordBox_password.Password != "")
            {
                //string login = textBox_login.Text;
                //string password = passwordBox_password.Password;
                bool flag = false;

                // Нахождение истинной записи в таблице 'AuthorizationStorageManager' //
                foreach (var line in entities.AuthorizationStorageManager)
                {
                    if (line.login.Contains(textBox_login.Text))
                    {
                        if (line.password.Contains(passwordBox_password.Password))
                        {
                            flag = true;
                            Login_StorageManager.login = textBox_login.Text;
                            textBox_login.Text = "";
                            passwordBox_password.Password = "";
                            break;
                        }
                    }

                }

                // Если пользователь существует //
                if (flag == true)
                {
                    ManagerWindow showManagerWindow = new ManagerWindow();
                    showManagerWindow.ShowDialog();
                }

                // Если пользователь не существует //
                if (flag == false)
                {
                    MessageBox.Show(error_loginPas, aut, MessageBoxButton.OK, MessageBoxImage.Error);
                }
            }

            // Если данные в полях пусты //
            else
            {
                MessageBox.Show(error_null, aut, MessageBoxButton.OK, MessageBoxImage.Error);
            }
        }
    }
}
